PIGGYBACK(1)

NAME
piggyback - add initial ramdisk to a tftpboot kernel image

SYNOPSIS
piggyback vmlinux System.map ramdisk

piggyback64 vmlinux System.map ramdisk

DESCRIPTION
piggyback is a simple utility to make a single-image install kernel with initial ramdisk for Sparc tftpbooting without need to set up nfs.

piggyback64 is the same for Ultra-Sparc workstations (those using a 64 bit kernel).

OPTIONS

vmlinux
    the kernel on which the ramdisk will be appended. It must be an a.out kernel (use elftoaout for it), as PROM looks for a.out image only.

System.map
    the kernel map.

ramdisk
    the initial ramdisk image to append to the kernel image. It could be compressed as well.

AUTHOR
piggyback has been written by Jakub Jelinek <jj@ultra.linux.cz>.

AVAILABILITY
piggyback and piggyback64 are available in kernel-source-2.2.x package, under arch/sparc/boot and arch/sparc64/boot.

SEE ALSO
elftoaout(1), tilo(1)